Health check
GET
/api/v1/catalogs/health
const url = 'https://example.com/api/v1/catalogs/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/catalogs/healthChecks Databricks Unity Catalog connectivity.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
HealthCheckResponse
Response for health check.
object
Examplegenerated
{ "status": "example", "databricks_connection": "example", "catalogs_accessible": 1, "message": "example", "error": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}